/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.apuntesdejava.rest;

import com.apuntesdejava.rest.domain.Persona;
import java.util.ArrayList;
import java.util.List;
import java.util.logging.Logger;
import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

/**
 *
 * @author diego
 */
@Path("/personas")
public class PersonaResource {

    static int contador = 0;
    static final Logger LOGGER = Logger.getLogger(PersonaResource.class.getName());
    static final List<Persona> lista = new ArrayList<>();

    @POST
    @Consumes(MediaType.APPLICATION_JSON)
    public Persona crear(Persona p) {
        p.setId(++contador);
        lista.add(p);
        return p;
    }

    @GET
    @Produces(MediaType.APPLICATION_JSON)
    @Path("/{id}")
    public Persona getPersonaById(@PathParam("id") int id) {
        for (Persona persona : lista) {
            if (persona.getId() == id) {
                return persona;
            }
        }
        return null;
    }
    
    @GET
    @Produces(MediaType.APPLICATION_JSON)
    public List<Persona> getPersonas() {
        return lista;
    }
}
